
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class LifetimeData {

    @SerializedName("AverageTemperature")
    private Long averageTemperature;
    @SerializedName("CycleCountLastQmax")
    private Long cycleCountLastQmax;
    @SerializedName("FlashEraseCounter")
    private Long flashEraseCounter;
    @SerializedName("FlashFailureCounter")
    private Long flashFailureCounter;
    @SerializedName("LTDataCorruptionOffset")
    private Long lTDataCorruptionOffset;
    @SerializedName("LTOCVRestCounter")
    private Long lTOCVRestCounter;
    @SerializedName("LTOCVRestCounterHsp")
    private Long lTOCVRestCounterHsp;
    @SerializedName("LTQmaxUpdateCounter")
    private Long lTQmaxUpdateCounter;
    @SerializedName("LTQmaxUpdateCounterHsp")
    private Long lTQmaxUpdateCounterHsp;
    @SerializedName("MaximumChargeCurrent")
    private Long maximumChargeCurrent;
    @SerializedName("MaximumDischargeCurrent")
    private Long maximumDischargeCurrent;
    @SerializedName("MaximumFCC")
    private Long maximumFCC;
    @SerializedName("MaximumPackVoltage")
    private Long maximumPackVoltage;
    @SerializedName("MaximumQmax")
    private Long maximumQmax;
    @SerializedName("MaximumTemperature")
    private Long maximumTemperature;
    @SerializedName("MinimumFCC")
    private Long minimumFCC;
    @SerializedName("MinimumPackVoltage")
    private Long minimumPackVoltage;
    @SerializedName("MinimumQmax")
    private Long minimumQmax;
    @SerializedName("MinimumTemperature")
    private Long minimumTemperature;
    @SerializedName("NCCMax")
    private Long nCCMax;
    @SerializedName("NCCMin")
    private Long nCCMin;
    @SerializedName("ResetCnt")
    private Long resetCnt;
    @SerializedName("SafetyFaultCounter")
    private String safetyFaultCounter;
    @SerializedName("TemperatureSamples")
    private Long temperatureSamples;
    @SerializedName("TimeAtHighSoc")
    private String timeAtHighSoc;
    @SerializedName("TotalOperatingTime")
    private Long totalOperatingTime;
    @SerializedName("UpdateTime")
    private Long updateTime;

    public Long getAverageTemperature() {
        return averageTemperature;
    }

    public void setAverageTemperature(Long averageTemperature) {
        this.averageTemperature = averageTemperature;
    }

    public Long getCycleCountLastQmax() {
        return cycleCountLastQmax;
    }

    public void setCycleCountLastQmax(Long cycleCountLastQmax) {
        this.cycleCountLastQmax = cycleCountLastQmax;
    }

    public Long getFlashEraseCounter() {
        return flashEraseCounter;
    }

    public void setFlashEraseCounter(Long flashEraseCounter) {
        this.flashEraseCounter = flashEraseCounter;
    }

    public Long getFlashFailureCounter() {
        return flashFailureCounter;
    }

    public void setFlashFailureCounter(Long flashFailureCounter) {
        this.flashFailureCounter = flashFailureCounter;
    }

    public Long getLTDataCorruptionOffset() {
        return lTDataCorruptionOffset;
    }

    public void setLTDataCorruptionOffset(Long lTDataCorruptionOffset) {
        this.lTDataCorruptionOffset = lTDataCorruptionOffset;
    }

    public Long getLTOCVRestCounter() {
        return lTOCVRestCounter;
    }

    public void setLTOCVRestCounter(Long lTOCVRestCounter) {
        this.lTOCVRestCounter = lTOCVRestCounter;
    }

    public Long getLTOCVRestCounterHsp() {
        return lTOCVRestCounterHsp;
    }

    public void setLTOCVRestCounterHsp(Long lTOCVRestCounterHsp) {
        this.lTOCVRestCounterHsp = lTOCVRestCounterHsp;
    }

    public Long getLTQmaxUpdateCounter() {
        return lTQmaxUpdateCounter;
    }

    public void setLTQmaxUpdateCounter(Long lTQmaxUpdateCounter) {
        this.lTQmaxUpdateCounter = lTQmaxUpdateCounter;
    }

    public Long getLTQmaxUpdateCounterHsp() {
        return lTQmaxUpdateCounterHsp;
    }

    public void setLTQmaxUpdateCounterHsp(Long lTQmaxUpdateCounterHsp) {
        this.lTQmaxUpdateCounterHsp = lTQmaxUpdateCounterHsp;
    }

    public Long getMaximumChargeCurrent() {
        return maximumChargeCurrent;
    }

    public void setMaximumChargeCurrent(Long maximumChargeCurrent) {
        this.maximumChargeCurrent = maximumChargeCurrent;
    }

    public Long getMaximumDischargeCurrent() {
        return maximumDischargeCurrent;
    }

    public void setMaximumDischargeCurrent(Long maximumDischargeCurrent) {
        this.maximumDischargeCurrent = maximumDischargeCurrent;
    }

    public Long getMaximumFCC() {
        return maximumFCC;
    }

    public void setMaximumFCC(Long maximumFCC) {
        this.maximumFCC = maximumFCC;
    }

    public Long getMaximumPackVoltage() {
        return maximumPackVoltage;
    }

    public void setMaximumPackVoltage(Long maximumPackVoltage) {
        this.maximumPackVoltage = maximumPackVoltage;
    }

    public Long getMaximumQmax() {
        return maximumQmax;
    }

    public void setMaximumQmax(Long maximumQmax) {
        this.maximumQmax = maximumQmax;
    }

    public Long getMaximumTemperature() {
        return maximumTemperature;
    }

    public void setMaximumTemperature(Long maximumTemperature) {
        this.maximumTemperature = maximumTemperature;
    }

    public Long getMinimumFCC() {
        return minimumFCC;
    }

    public void setMinimumFCC(Long minimumFCC) {
        this.minimumFCC = minimumFCC;
    }

    public Long getMinimumPackVoltage() {
        return minimumPackVoltage;
    }

    public void setMinimumPackVoltage(Long minimumPackVoltage) {
        this.minimumPackVoltage = minimumPackVoltage;
    }

    public Long getMinimumQmax() {
        return minimumQmax;
    }

    public void setMinimumQmax(Long minimumQmax) {
        this.minimumQmax = minimumQmax;
    }

    public Long getMinimumTemperature() {
        return minimumTemperature;
    }

    public void setMinimumTemperature(Long minimumTemperature) {
        this.minimumTemperature = minimumTemperature;
    }

    public Long getNCCMax() {
        return nCCMax;
    }

    public void setNCCMax(Long nCCMax) {
        this.nCCMax = nCCMax;
    }

    public Long getNCCMin() {
        return nCCMin;
    }

    public void setNCCMin(Long nCCMin) {
        this.nCCMin = nCCMin;
    }

    public Long getResetCnt() {
        return resetCnt;
    }

    public void setResetCnt(Long resetCnt) {
        this.resetCnt = resetCnt;
    }

    public String getSafetyFaultCounter() {
        return safetyFaultCounter;
    }

    public void setSafetyFaultCounter(String safetyFaultCounter) {
        this.safetyFaultCounter = safetyFaultCounter;
    }

    public Long getTemperatureSamples() {
        return temperatureSamples;
    }

    public void setTemperatureSamples(Long temperatureSamples) {
        this.temperatureSamples = temperatureSamples;
    }

    public String getTimeAtHighSoc() {
        return timeAtHighSoc;
    }

    public void setTimeAtHighSoc(String timeAtHighSoc) {
        this.timeAtHighSoc = timeAtHighSoc;
    }

    public Long getTotalOperatingTime() {
        return totalOperatingTime;
    }

    public void setTotalOperatingTime(Long totalOperatingTime) {
        this.totalOperatingTime = totalOperatingTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

}
